<template>
  <div :style="actionsStyle" class="row">
    <!-- blacklist -->
    <q-btn
    flat
    size="lg"
    :icon="document.blacklisted ? 'visibility off' : 'visibility'"
    class="action-theme"
    :style="actionStyle"
    @click="blacklist"></q-btn>

    <!-- report problem -->
    <q-btn
    flat
    size="lg"
    icon="report problem"
    class="action-theme"
    :style="actionStyle"
    @click="report()"></q-btn>

    <!-- share -->
    <q-btn
    flat
    size="lg"
    icon="share"
    class="action-theme"
    :style="actionStyle"
    @click="share"></q-btn>

    <!-- add tag -->
    <q-btn
    flat
    size="lg"
    icon="label"
    class="action-theme"
    :style="actionStyle"
    @click="addTag"></q-btn>

    <!-- add note -->
    <q-btn
    flat
    size="lg"
    icon="note add"
    class="action-theme"
    :style="actionStyle"
    @click="addNote"></q-btn>

    <!-- save -->
    <q-btn
    flat
    size="lg"
    :icon="document.saved ? 'star' : 'star border'"
    class="action-theme"
    :style="actionStyle"
    @click="toggleSave"></q-btn>
  </div>
</template>

<script>
export default {
  name: 'DocumentActions',
  props: ['width', 'document'],
  data () {
    return {
    }
  },
  computed: {
    actionsStyle () {
      return `width:${this.width}px`
    },
    actionWidth () {
      return this.width / 6
    },
    actionStyle () {
      return `width:${this.actionWidth}px`
    }
  },
  methods: {
    blacklist () {
      this.$emit('blacklist', this.document)
    },
    toggleSave () {
      this.$emit('toggleSave', this.document)
    },
    addTag () {
      this.$emit('addTag', this.document)
    },
    addNote () {
      this.$emit('addNote', this.document)
    },
    share () {
      this.$emit('share', this.document)
    }
  }
}
</script>

<style lang="stylus">
</style>
